Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.feed.synd
Class SyndEnclosureImpl

    java.lang.Object
      com.sun.syndication.feed.synd.SyndEnclosureImpl

All Implemented Interfaces:
  CopyFrom<SyndEnclosure>, SyndEnclosure, Serializable, Cloneable

    public class SyndEnclosureImpl

extends Object
implements Serializable, SyndEnclosure

Author:
  Alejandro Abdelnur
See Also:
  Serialized Form

Constructor Summary
`SyndEnclosureImpl()` Default constructor.

Method Summary
`Object` | `clone()` Creates a deep 'bean' clone of the object.
`void` | `copyFrom(CopyFrom obj)` Copies all the properties of the given bean into this one.
`boolean` | `equals(Object other)` Indicates whether some other object is "equal to" this one as defined by the Object equals() method.
`Class<? extends CopyFrom>` | `getInterface()` Returns the interface the copyFrom works on.
`long` | `getLength()` Returns the enclosure length.
`String` | `getType()` Returns the enclosure type.
`String` | `getUrl()` Returns the enclosure URL.
`int` | `hashCode()` Returns a hashcode value for the object.
`void` | `setLength(long length)` Sets the enclosure length.
`void` | `setType(String type)` Sets the enclosure type.
`void` | `setUrl(String url)` Sets the enclosure URL.
`String` | `toString()` Returns the String representation for the object.

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SyndEnclosureImpl

    public SyndEnclosureImpl()

  Default constructor. All properties are set to null.

Method Detail

### clone

    public Object clone()
                 throws CloneNotSupportedException

  Creates a deep 'bean' clone of the object.

  Overrides:
    `clone` in class `Object`
  Returns:
    a clone of the object.
  Throws:
    `CloneNotSupportedException` - thrown if an element of the object cannot be cloned.

### equals

    public boolean equals(Object other)

  Indicates whether some other object is "equal to" this one as defined by the Object equals() method.

  Overrides:
    `equals` in class `Object`
  Parameters:
    `other` - he reference object with which to compare.
  Returns:
    true if 'this' object is equal to the 'other' object.

### hashCode

    public int hashCode()

  Returns a hashcode value for the object.

  It follows the contract defined by the Object hashCode() method.

  Overrides:
    `hashCode` in class `Object`
  Returns:
    the hashcode of the bean object.

### toString

    public String toString()

  Returns the String representation for the object.

  Overrides:
    `toString` in class `Object`
  Returns:
    String representation for the object.

### getUrl

    public String getUrl()

  Returns the enclosure URL.

  Specified by:
    `getUrl` in interface `SyndEnclosure`
  Returns:
    the enclosure URL, null if none.

### setUrl

    public void setUrl(String url)

  Sets the enclosure URL.

  Specified by:
    `setUrl` in interface `SyndEnclosure`
  Parameters:
    `url` - the enclosure URL to set, null if none.

### getLength

    public long getLength()

  Returns the enclosure length.

  Specified by:
    `getLength` in interface `SyndEnclosure`
  Returns:
    the enclosure length, null if none.

### setLength

    public void setLength(long length)

  Sets the enclosure length.

  Specified by:
    `setLength` in interface `SyndEnclosure`
  Parameters:
    `length` - the enclosure length to set, null if none.

### getType

    public String getType()

  Returns the enclosure type.

  Specified by:
    `getType` in interface `SyndEnclosure`
  Returns:
    the enclosure type, null if none.

### setType

    public void setType(String type)

  Sets the enclosure type.

  Specified by:
    `setType` in interface `SyndEnclosure`
  Parameters:
    `type` - the enclosure type to set, null if none.

### getInterface

    public Class<? extends CopyFrom> getInterface()

  Description copied from interface: `CopyFrom`
  Returns the interface the copyFrom works on.

  This is useful when dealing with properties that may have multiple implementations. For example, Module.

  Specified by:
    `getInterface` in interface `CopyFrom<SyndEnclosure>`
  Returns:
    the interface the copyFrom works on.

### copyFrom

    public void copyFrom(CopyFrom obj)

  Description copied from interface: `CopyFrom`
  Copies all the properties of the given bean into this one.

  Any existing properties in this bean are lost.

  This method is useful for moving from one implementation of a bean interface to another. For example from the default SyndFeed bean implementation to a Hibernate ready implementation.

  Specified by:
    `copyFrom` in interface `CopyFrom<SyndEnclosure>`
  Parameters:
    `obj` - the instance to copy properties from.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2013 ROME Project. All Rights Reserved.